<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="group">
    <name>globus_callback</name>
    <title>Globus Callback</title>
    <filename>group__globus__callback.html</filename>
    <subgroup>globus_callback_api</subgroup>
    <subgroup>globus_callback_spaces</subgroup>
    <subgroup>globus_callback_signal</subgroup>
    <member kind="enumeration">
      <name>globus_callback_error_type_t</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>gabdc22c8e6432da1fd9ee7a43da965cc9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_INVALID_CALLBACK_HANDLE</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>ggabdc22c8e6432da1fd9ee7a43da965cc9a709b3d44c4ae3090a80656dab33dcd4d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_INVALID_SPACE</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>ggabdc22c8e6432da1fd9ee7a43da965cc9ae1619313606a50072339d789a6f3696b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_MEMORY_ALLOC</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>ggabdc22c8e6432da1fd9ee7a43da965cc9a8324a279b17b1b5ec7eeea77997316cc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_INVALID_ARGUMENT</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>ggabdc22c8e6432da1fd9ee7a43da965cc9ad182d7837cb9203c5c7c2645ef04e244</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_ALREADY_CANCELED</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>ggabdc22c8e6432da1fd9ee7a43da965cc9a9633996be95ba0110a879b830a348e1b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_NO_ACTIVE_CALLBACK</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>ggabdc22c8e6432da1fd9ee7a43da965cc9a8fd5822d22f7036be63bda0d98e85448</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>int</type>
      <name>globus_callback_handle_t</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>gab1094a083bf6fc359e01c5d66c436fa0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>int</type>
      <name>globus_callback_space_t</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>ga82637fa200d6ff891c747397a8eb0f38</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>struct globus_l_callback_space_attr_s *</type>
      <name>globus_callback_space_attr_t</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>gad4d53fc479ecb547f3d7b2be6df8a2a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_CALLBACK_MODULE</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>ga001f6534f36aaf305f44175afb7b4a89</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_POLL_MODULE</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>ga1c95d2b5dbbca83d8f2299ce83fbd438</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_callback_api</name>
    <title>Globus Callback API</title>
    <filename>group__globus__callback__api.html</filename>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_callback_func_t</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>gaf9532eb7d40466d5af31fe6ba2b9a6a3</anchor>
      <arglist>)(void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_register_oneshot</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga5dcf1ecca93ff8b31ba78768eed2f9ca</anchor>
      <arglist>(globus_callback_handle_t *callback_handle, const globus_reltime_t *delay_time, globus_callback_func_t callback_func, void *callback_user_arg, globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_register_periodic</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga79a7deb3d5706d8944c9778e451d94bd</anchor>
      <arglist>(globus_callback_handle_t *callback_handle, const globus_reltime_t *delay_time, const globus_reltime_t *period, globus_callback_func_t callback_func, void *callback_user_arg, globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_unregister</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga9f9f7b94b22a26b58d9b6f56d174e3dd</anchor>
      <arglist>(globus_callback_handle_t callback_handle, globus_callback_func_t unregister_callback, void *unreg_arg, globus_bool_t *active)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_adjust_oneshot</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga951428ba6b26aa601f8e3a1ad27bbe70</anchor>
      <arglist>(globus_callback_handle_t callback_handle, const globus_reltime_t *new_delay)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_adjust_period</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>gabb9d4011d7b006c9d73f4f31c8ea27b2</anchor>
      <arglist>(globus_callback_handle_t callback_handle, const globus_reltime_t *new_period)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_callback_space_poll</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga85ccba358a78b43b3154ce0cf9404b05</anchor>
      <arglist>(const globus_abstime_t *timestop, globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_callback_signal_poll</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga9e8d438f31c0be105b32b6f55f32f8f3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_callback_get_timeout</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>gaeb9a276723b8940a5050dfd55499a42d</anchor>
      <arglist>(globus_reltime_t *time_left)</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_callback_has_time_expired</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga020baf7ac4f7e096c669be1f2607330e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_callback_was_restarted</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>gad880ae53e75a35941d0d7e3793979058</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_callback_poll</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga1042269f15b8fdfea578e741afc49b79</anchor>
      <arglist>(a)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_poll_blocking</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga2c593841698b6a60e31a013314bd2b1f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_poll_nonblocking</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga3a74e42890106e8ca124f2aeee49bb8c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_poll</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga6a041076a6c38643473d5404050e5937</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_signal_poll</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga6c3e34a2accbaa40af681d4c9209c4a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_callback_register_oneshot</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga37ed53765dd29c3d5733f34f03b20605</anchor>
      <arglist>(callback_handle,delay_time,callback_func,callback_user_arg)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_callback_register_periodic</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga9910c067bdd0b92578979fae90484d2a</anchor>
      <arglist>(callback_handle,delay_time,period,callback_func,callback_user_arg)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_callback_register_signal_handler</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>ga71543941bfaaf5a7ed94a657bc7786a5</anchor>
      <arglist>(signum,persist,callback_func,callback_user_arg)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_callback_spaces</name>
    <title>Globus Callback Spaces</title>
    <filename>group__globus__callback__spaces.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_CALLBACK_GLOBAL_SPACE</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>gac4dbfeee48388b4b78abb15fdfb5620d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_callback_space_behavior_t</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>gac5c2e2ee259e3bceaea0b201bcc3efaa</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_SPACE_BEHAVIOR_SINGLE</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>ggac5c2e2ee259e3bceaea0b201bcc3efaaa555e447a5b2006173a94d68f793b4913</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_SPACE_BEHAVIOR_SERIALIZED</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>ggac5c2e2ee259e3bceaea0b201bcc3efaaa83bce54e7eeeaa2ab7caa06894cd13a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_SPACE_BEHAVIOR_THREADED</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>ggac5c2e2ee259e3bceaea0b201bcc3efaaabe95b074b057afd9caad744ca316fd2e</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_init</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>ga7221ad7cd5d4d61ad03e5cce42f6e0ff</anchor>
      <arglist>(globus_callback_space_t *space, globus_callback_space_attr_t attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_reference</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>gab7858315cda2711279b28e1cca047789</anchor>
      <arglist>(globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_destroy</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>ga2d6033dbe920cc774fcbea1f83ad5a4e</anchor>
      <arglist>(globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_attr_init</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>gad5f454d33a643f6ade211f2503ba605a</anchor>
      <arglist>(globus_callback_space_attr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_attr_destroy</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>ga841592200c8a34e5fb125c1e962530b7</anchor>
      <arglist>(globus_callback_space_attr_t attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_attr_set_behavior</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>ga84e7edaa81a33ebc97a527b1c618fd50</anchor>
      <arglist>(globus_callback_space_attr_t attr, globus_callback_space_behavior_t behavior)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_attr_get_behavior</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>ga19b2a1f4082449e43c964e9833c98132</anchor>
      <arglist>(globus_callback_space_attr_t attr, globus_callback_space_behavior_t *behavior)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_get</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>ga4f196834eb7f366953c27ba3a43f2d5c</anchor>
      <arglist>(globus_callback_space_t *space)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_callback_space_get_depth</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>ga385aef912c30791d9fb9f689ba461ead</anchor>
      <arglist>(globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_callback_space_is_single</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>gafb085d7faf2134d3bfb2e4001175ad59</anchor>
      <arglist>(globus_callback_space_t space)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_callback_signal</name>
    <title>Globus Callback Signal Handling</title>
    <filename>group__globus__callback__signal.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_SIGNAL_INTERRUPT</name>
      <anchorfile>group__globus__callback__signal.html</anchorfile>
      <anchor>ga69254c1d4e46a0f034ad4fa0c2544e8e</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_register_signal_handler</name>
      <anchorfile>group__globus__callback__signal.html</anchorfile>
      <anchor>ga73dd8a0afb4683a89b38c1c5e02db33e</anchor>
      <arglist>(int signum, globus_bool_t persist, globus_callback_func_t callback_func, void *callback_user_arg, globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_unregister_signal_handler</name>
      <anchorfile>group__globus__callback__signal.html</anchorfile>
      <anchor>ga188f696c9ecbac1b022012b61756c47b</anchor>
      <arglist>(int signum, globus_callback_func_t unregister_callback, void *unreg_arg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_callback_add_wakeup_handler</name>
      <anchorfile>group__globus__callback__signal.html</anchorfile>
      <anchor>ga161a6324f166f939e450b9459cf6aafa</anchor>
      <arglist>(void(*wakeup)(void *), void *user_arg)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_errno_error_api</name>
    <title>Globus Errno Error API</title>
    <filename>group__globus__errno__error__api.html</filename>
    <subgroup>globus_errno_error_object</subgroup>
    <subgroup>globus_errno_error_accessor</subgroup>
    <subgroup>globus_errno_error_utility</subgroup>
    <docanchor file="group__globus__errno__error__api">globus_errno_error_api</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_errno_error_object</name>
    <title>Error Construction</title>
    <filename>group__globus__errno__error__object.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_ERROR_TYPE_ERRNO</name>
      <anchorfile>group__globus__errno__error__object.html</anchorfile>
      <anchor>ga94185c58042d5ff7cac5281fbbf2da1c</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_construct_errno_error</name>
      <anchorfile>group__globus__errno__error__object.html</anchorfile>
      <anchor>ga69e31860d53c761f93ac2a65d3eb7154</anchor>
      <arglist>(globus_module_descriptor_t *base_source, globus_object_t *base_cause, const int system_errno)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_initialize_errno_error</name>
      <anchorfile>group__globus__errno__error__object.html</anchorfile>
      <anchor>ga07b38092dd74ecb6a6125e78960332c2</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *base_source, globus_object_t *base_cause, const int system_errno)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_errno_error_accessor</name>
    <title>Error Data Accessors and Modifiers</title>
    <filename>group__globus__errno__error__accessor.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_error_errno_get_errno</name>
      <anchorfile>group__globus__errno__error__accessor.html</anchorfile>
      <anchor>gaa14b7b6fb57278d5f1f8e908cba2d22f</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_errno_set_errno</name>
      <anchorfile>group__globus__errno__error__accessor.html</anchorfile>
      <anchor>gaebcc512ffc4b8401a30af8202e34fc6a</anchor>
      <arglist>(globus_object_t *error, const int system_errno)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_errno_error_utility</name>
    <title>Error Handling Helpers</title>
    <filename>group__globus__errno__error__utility.html</filename>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_error_errno_match</name>
      <anchorfile>group__globus__errno__error__utility.html</anchorfile>
      <anchor>ga3f891f35f34313d70ca88c86827fa390</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *module, int system_errno)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_wrap_errno_error</name>
      <anchorfile>group__globus__errno__error__utility.html</anchorfile>
      <anchor>gac98b9990387bcb26044193fe885b8ff8</anchor>
      <arglist>(globus_module_descriptor_t *base_source, int system_errno, int type, const char *source_file, const char *source_func, int source_line, const char *short_desc_format,...)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_error_api</name>
    <title>Globus Error API</title>
    <filename>group__globus__error__api.html</filename>
    <subgroup>globus_errno_error_api</subgroup>
    <subgroup>globus_generic_error_api</subgroup>
  </compound>
  <compound kind="group">
    <name>globus_generic_error_api</name>
    <title>Globus Generic Error API</title>
    <filename>group__globus__generic__error__api.html</filename>
    <subgroup>globus_generic_error_object</subgroup>
    <subgroup>globus_generic_error_accessor</subgroup>
    <subgroup>globus_generic_error_utility</subgroup>
    <docanchor file="group__globus__generic__error__api">globus_generic_error_api</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_generic_error_object</name>
    <title>Error Construction</title>
    <filename>group__globus__generic__error__object.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_ERROR_TYPE_GLOBUS</name>
      <anchorfile>group__globus__generic__error__object.html</anchorfile>
      <anchor>ga8fdc85772e479ba987fd496039516065</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_construct_error</name>
      <anchorfile>group__globus__generic__error__object.html</anchorfile>
      <anchor>ga2e4aa651000f003991af6a766f6120e5</anchor>
      <arglist>(globus_module_descriptor_t *base_source, globus_object_t *base_cause, int type, const char *source_file, const char *source_func, int source_line, const char *short_desc_format,...)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_v_construct_error</name>
      <anchorfile>group__globus__generic__error__object.html</anchorfile>
      <anchor>gac86c29289d7428fc695273f8ba51511d</anchor>
      <arglist>(globus_module_descriptor_t *base_source, globus_object_t *base_cause, const int type, const char *source_file, const char *source_func, int source_line, const char *short_desc_format, va_list ap)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_initialize_error</name>
      <anchorfile>group__globus__generic__error__object.html</anchorfile>
      <anchor>ga5915386c64811d78f50bfb01a16783c7</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *base_source, globus_object_t *base_cause, int type, const char *source_file, const char *source_func, int source_line, const char *short_desc_format, va_list ap)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_generic_error_accessor</name>
    <title>Error Data Accessors and Modifiers</title>
    <filename>group__globus__generic__error__accessor.html</filename>
    <member kind="function">
      <type>globus_module_descriptor_t *</type>
      <name>globus_error_get_source</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>ga7177a61ceb9e221589d2b7c8afb91365</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_set_source</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>ga233c6cfbeb5ac02a7c86f087a2d83762</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *source_module)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_get_cause</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>ga535d97a0806fa466c8f086ef1c1bab9a</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_set_cause</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>gaa128b1cc5518302f4e4292a987392976</anchor>
      <arglist>(globus_object_t *error, globus_object_t *causal_error)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_error_get_type</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>ga178a83a65eef9ba58a88e2a5fcf1c781</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_set_type</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>ga098cd7c084ca5cddcf9d5a63c309172f</anchor>
      <arglist>(globus_object_t *error, const int type)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_error_get_short_desc</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>gae995aeed35844dd6539b85a31df31e66</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_set_short_desc</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>ga0fa4eb98ddbba6c376bd16f512b8fe85</anchor>
      <arglist>(globus_object_t *error, const char *short_desc_format,...)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_error_get_long_desc</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>ga262c03dd3d081f036ce39ac13ed82324</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_set_long_desc</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>gaef263d7eb8d7eb1304aaeff5e1003619</anchor>
      <arglist>(globus_object_t *error, const char *long_desc_format,...)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_generic_error_utility</name>
    <title>Error Handling Helpers</title>
    <filename>group__globus__generic__error__utility.html</filename>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_error_match</name>
      <anchorfile>group__globus__generic__error__utility.html</anchorfile>
      <anchor>gabc9e30ff28f507d8297900808e4e0714</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *module, int type)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_error_print_chain</name>
      <anchorfile>group__globus__generic__error__utility.html</anchorfile>
      <anchor>ga0c90e5ebed8b504645b53ae62e4c457f</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_error_print_friendly</name>
      <anchorfile>group__globus__generic__error__utility.html</anchorfile>
      <anchor>ga5114e24fdb91268e276f12fafe2b9bee</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_common_thread</name>
    <title>Globus Thread API</title>
    <filename>group__globus__common__thread.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_condattr_setspace</name>
      <anchorfile>group__globus__common__thread.html</anchorfile>
      <anchor>ga5da992772c69899b60c55506b358c4f2</anchor>
      <arglist>(globus_condattr_t *attr, int space)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_condattr_getspace</name>
      <anchorfile>group__globus__common__thread.html</anchorfile>
      <anchor>ga7226eecee10cf2fbd0f2987c3da868b9</anchor>
      <arglist>(globus_condattr_t *attr, int *space)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_url</name>
    <title>URL String Parser</title>
    <filename>group__globus__url.html</filename>
    <class kind="struct">globus_url_t</class>
    <member kind="enumeration">
      <name>globus_url_scheme_t</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>ga774eeb8d0fd9e51f6be47aef44cf1aec</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_FTP</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>gga774eeb8d0fd9e51f6be47aef44cf1aecaa0509be5c6d1b0c646c8299bebd3827a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_GSIFTP</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>gga774eeb8d0fd9e51f6be47aef44cf1aeca5f429ade3fa679fcebd59b6ad776fa21</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_HTTP</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>gga774eeb8d0fd9e51f6be47aef44cf1aeca8fff1250e66e914e0154968cd873ce75</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_HTTPS</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>gga774eeb8d0fd9e51f6be47aef44cf1aecaa3ac1014b9db9d8336ce382ec0d6fa6b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_LDAP</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>gga774eeb8d0fd9e51f6be47aef44cf1aeca9a7c96b60f73b5208c416328b8c8acdf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_FILE</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>gga774eeb8d0fd9e51f6be47aef44cf1aeca2669694de07c90b4c0542d126f0c7f63</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_X_NEXUS</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>gga774eeb8d0fd9e51f6be47aef44cf1aeca6b22cb148821c396191f0fde690850d7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_X_GASS_CACHE</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>gga774eeb8d0fd9e51f6be47aef44cf1aecad7fd6dfc894211eb8f2fdb4f79834118</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_UNKNOWN</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>gga774eeb8d0fd9e51f6be47aef44cf1aecad6735c1376f446768221acc12a4e4b92</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_NUM_SCHEMES</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>gga774eeb8d0fd9e51f6be47aef44cf1aeca47660ee5ccc96f60106faa3358bc3008</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_parse</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>ga19ef174b33d9c8f0575715682bac8d65</anchor>
      <arglist>(const char *url_string, globus_url_t *url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_parse_rfc1738</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>gabd9bb62fb3933b9b6a16ec4bf707a049</anchor>
      <arglist>(const char *url_string, globus_url_t *url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_parse_loose</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>ga0973f8aa338513fdcc78d259dfcc17a8</anchor>
      <arglist>(const char *url_string, globus_url_t *url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_destroy</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>ga95920d71729e6b114afefe824e58348a</anchor>
      <arglist>(globus_url_t *url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_get_scheme</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>ga11552fd218b39c198d45a0318cec4b86</anchor>
      <arglist>(const char *url_string, globus_url_scheme_t *scheme_type)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_copy</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>ga2d8c1bfed2091cdcd37425f06d76a8da</anchor>
      <arglist>(globus_url_t *dst, const globus_url_t *src)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>globus_url_t</name>
    <filename>structglobus__url__t.html</filename>
    <member kind="variable">
      <type>char *</type>
      <name>scheme</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>ac21843402017d0a6bf169b6a750ab532</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_url_scheme_t</type>
      <name>scheme_type</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>ae55d4a3c79a86a30e892a8f94da0623c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>user</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>a7820dc87cbed173a8e81df403d35920a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>password</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>a86cb729a9e34a4ff4bb845911caa4c4f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>host</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>a426f95d68e567f85085bb46f793efcbe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned short</type>
      <name>port</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>a1002c75ce212166a6e54a0715cbd33c2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>url_path</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>a110e29cafeaabb1fdeba0b1f17ed211a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>dn</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>a44bfef2ffbac39a2c13afead20896634</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>attributes</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>a17daeb126e4a903bc9c8e6a137d37265</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>scope</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>a9f56bc7e168c9ba8b74c5c823d67f27b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>filter</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>ae6a66eb239f8e492b650a2996d9c3356</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>url_specific_part</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>a184c8c55bcaea5f9f10226b59f07800a</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
